Unpublish a student's final grade for a unit
Unpublishes the student's final grade, re-opening it for edits. The Pass/Fail grade state is left unchanged. The student must already be registered to the unit.
Path Parameters
- Type: stringunit
_id requiredUnique identifier of the unit.
Body
required
application/json
- Type: stringprofile
_id requiredID of the student profile.
Responses
- application/json
- application/json
- application/json
Request Example for post/apis/units/units/{unit_id}/grades/unpublish
curl https://school.fullfabric.cloud/apis/units/units/507f1f77bcf86cd799439011/grades/unpublish \
--request POST \
--header 'Content-Type: application/json' \
--header 'FF-Auth: YOUR_SECRET_TOKEN' \
--data '{
"profile_id": "6385bdd4976a7719120108e9"
}'
{
"additionalProperty": "anything"
}